org.eclipse.cdt.utils.debug

## Class DebugArrayType

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugType
  - - org.eclipse.cdt.utils.debug.DebugDerivedType
    - - org.eclipse.cdt.utils.debug.DebugArrayType

    public class DebugArrayType
    extends DebugDerivedType

DebugArrayType

### Constructor Summary

Constructors
Constructor and Description
`DebugArrayType(DebugType type, int arraySize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getSize()`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugDerivedType

`getComponentType, setComponentType`

### Methods inherited from class org.eclipse.cdt.utils.debug.DebugType

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DebugArrayType

    public DebugArrayType(DebugType type,
                          int arraySize)

### Method Detail

#### getSize

    public int getSize()